package com.srs.dormitory.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.common.core.domain.AjaxResult;
import com.srs.dormitory.domain.DmsManageApplication;
import com.srs.dormitory.domain.Dto.DmsSearch;
import com.srs.dormitory.domain.Vo.DomInfo;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * 宿舍管理申请Service接口
 *
 * @author srs
 * @date 2024-02-29
 */
public interface IDmsManageApplicationService extends IService<DmsManageApplication> {


    List<DomInfo> listView(DmsSearch param);


    public void changeTask();

    public AjaxResult stuChange(DmsManageApplication param);


    /**
     * 查询宿舍管理申请
     *
     * @param id 宿舍管理申请主键
     * @return 宿舍管理申请
     */
    public DmsManageApplication selectDmsManageApplicationById(Long id);

    /**
     * 查询宿舍管理申请列表
     *
     * @param dmsManageApplication 宿舍管理申请
     * @return 宿舍管理申请集合
     */
    List<DmsManageApplication> selectDmsManageApplicationList(DmsManageApplication dmsManageApplication);

    /**
     * 新增宿舍管理申请
     *
     * @param dmsManageApplication 宿舍管理申请
     * @return 结果
     */
    AjaxResult insertDmsManageApplication(DmsManageApplication dmsManageApplication);

    /**
     * 修改宿舍管理申请
     *
     * @param dmsManageApplication 宿舍管理申请
     * @return 结果
     */
    AjaxResult updateDmsManageApplication(DmsManageApplication dmsManageApplication);

    /**
     * 批量删除宿舍管理申请
     *
     * @param ids 需要删除的宿舍管理申请主键集合
     * @return 结果
     */
    int deleteDmsManageApplicationByIds(Long[] ids);

    /**
     * 删除宿舍管理申请信息
     *
     * @param id 宿舍管理申请主键
     * @return 结果
     */
    int deleteDmsManageApplicationById(Long id);

    public AjaxResult stuDel(Long[] ids);

    /**
     * 获取学生宿舍信息
     * @param studentNo
     * @return
     */
    AjaxResult getStudentDormitoryInfo(String studentNo);
}
